package com.kingdee.eas.custom.erp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.erp.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class synAdminOrgToErpFacade extends AbstractBizCtrl implements IsynAdminOrgToErpFacade
{
    public synAdminOrgToErpFacade()
    {
        super();
        registerInterface(IsynAdminOrgToErpFacade.class, this);
    }
    public synAdminOrgToErpFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IsynAdminOrgToErpFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("EDE7BE48");
    }
    private synAdminOrgToErpFacadeController getController() throws BOSException
    {
        return (synAdminOrgToErpFacadeController)getBizController();
    }
    /**
     *同步行政组织到星瀚-User defined method
     *@param startDate 开始时间 (格式: yyyy-mm-dd hh:mm:ss)
     *@param endDate 结束时间
     */
    public void synAdminOrgToErp(String startDate, String endDate) throws BOSException
    {
        try {
            getController().synAdminOrgToErp(getContext(), startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}